package nu.helmers.jbpmtest;

/**
 * Enumeration of all the production properties for the data layer. We distinguish two kinds of properties:
 * <ul>
 * <li>Production properties: Usually defined in the web module, or outside the war at deployment time. They're also
 * defined in the test folder of this jar, for testing purposes.
 * <li>Test properties: These are only needed for integration testing (e.g. in-memory database). You don't need to
 * include them in your web application. You should never have to define or use them outside of this jar.
 * </ul>
 * 
 * Test properties are defined in a separate enumeration.
 */
public class DataLayerProperties {

    public final static String HIBERNATE_DIALECT = "jbpmtest.hibernate.dialect";

    public final static String HIBERNATE_HBM2DDL_AUTO = "jbpmtest.hibernate.hbm2ddl.auto";
}
