package nu.helmers.jbpmtest.service;

import nu.helmers.jbpmtest.domain.issue.Issue;

/**
 */
public interface IIssueService {

    /**
     * Opslaan van de issue, indien die nog niet bestaat. Dit start tevens het proces behorend bij het {@link IssueType}
     * van de issue, kent een issue identificatie toe en zet de startdatum.
     * 
     * @param issue
     * @return de taakID behorende bij de eerste taak in het proces van deze issue
     * @throws IllegalArgumentException
     *             als de issue al een <code>id</code> heeft.
     */
    String create(Issue issue);

    /**
     * Vind de issue a.d.h.v. zijn technische sleutel. Deze methode is met name geschikt voor intern applicatie gebruik,
     * bijv. achter een {@link org.apache.wicket.model.LoadableDetachableModel}.
     * 
     * @param id
     *            Unique id of issue
     * @return Issue
     */
    Issue get(Long id);

    /**
     * Opslaan van een bestaande issue.
     * 
     * @param issue
     * @throws IllegalArgumentException
     *             als de issue nog geen <code>id</code> heeft.
     * @throws org.springframework.dao.DataAccessException
     *             als de issue met de gegeven <code>id</code> niet bestaat.
     */
    void update(Issue issue);

}
