package nu.helmers.jbpmtest.service;

import java.util.Map;
import java.util.Set;

import nu.helmers.jbpmtest.domain.issue.Issue;

public interface JbpmFacade {

    Set<String> getProcessDefinitionKeys();

    /**
     * @param issue
     * @return the taskId of the first task within the process. Null if there isn't one.
     */
    String startIssueProcess(Issue issue);

    /**
     * @param taskId
     * @return For a task around an issue, return the corresponding issue Id.
     */
    String getIssueId(String taskId);

    /**
     * For a task name, look up all issue ids that are currently waiting for it.
     * 
     * @param task
     *            name
     * @return the id's of the issues that are waiting for this task.
     */
    Map<String, String> getIssueIdsVoorTaak(String... taaknaam);

    /**
     * @return yes if given issue is part of given task
     */
    boolean isIssueInTaak(String taaknaam, Issue issue);
}
