package nu.helmers.jbpmtest.service.exception;

/**
 * Indicates that an entity has a business key that is already in use by another entity of the same type.
 */
public class DuplicateBusinessKeyException extends ServiceException {
    private static final long serialVersionUID = 1L;

    private String businessKey;

    public DuplicateBusinessKeyException(Class<?> clazz, String businessKey) {
        super("An entity of type '" + clazz.getName() + "' with business key '" + businessKey + "' already exists.");
        this.businessKey = businessKey;
    }

    /**
     * @return the business key, so that the web layer can transform this exception into a localized message of the form
     *         "The key '123' is already in use."
     */
    public String getBusinessKey() {
        return businessKey;
    }
}
