package nu.helmers.jbpmtest.service.exception;

/**
 * All checked exceptions that can part thrown by the service interface should extend from ServiceException. They can be
 * thrown as part of normal operations (for instance duplicate business key), so they do not need to be logged as error
 * with stack trace.
 */
public abstract class ServiceException extends Exception {
    private static final long serialVersionUID = -778706117430772980L;

    public ServiceException(String message) {
        super(message);
    }
}
