package nu.helmers.jbpmtest.service.impl;

import nu.helmers.jbpmtest.dao.issue.IIssueDao;
import nu.helmers.jbpmtest.domain.issue.Issue;
import nu.helmers.jbpmtest.logging.LogMe;
import nu.helmers.jbpmtest.service.IIssueService;
import nu.helmers.jbpmtest.service.JbpmFacade;

import com.google.inject.Inject;
import com.wideplay.warp.persist.Transactional;

public class IssueServiceImpl implements IIssueService {

    private IIssueDao issueDao;

    private JbpmFacade taakService;

    @Inject
    public IssueServiceImpl(IIssueDao issueDao, JbpmFacade taakService) {
        this.issueDao = issueDao;
        this.taakService = taakService;
    }

    @LogMe
    @Transactional
    public String create(Issue issue) {
        issueDao.persist(issue);
        return taakService.startIssueProcess(issue);
    }

    @LogMe
    @Transactional
    public Issue get(Long id) {
        return issueDao.get(id);
    }

    @LogMe
    @Transactional
    public void update(Issue issue) {
        issueDao.update(issue);
    }

}
