package nu.helmers.jbpmtest.service.impl;

import static org.junit.Assert.assertEquals;
import nu.helmers.jbpmtest.domain.issue.Issue;
import nu.helmers.jbpmtest.fixtures.FixturesIssue;
import nu.helmers.jbpmtest.service.test.db.DatabaseHelper;
import nu.helmers.jbpmtest.wiring.modules.ServiceLayerIntegrationTestModule;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import com.google.inject.Guice;
import com.google.inject.Inject;
import com.google.inject.Injector;

public class IssueServiceIntegrationTest {

    private Issue issue;

    @Inject
    private IssueServiceImpl issueService;

    @Inject
    private DatabaseHelper dbHelper;

    @Before
    public void setup() {
        Injector injector = Guice.createInjector(new ServiceLayerIntegrationTestModule());
        injector.injectMembers(this);

        issue = FixturesIssue.makeNewGbaIssue();
    }

    @After
    public void teardown() {
        dbHelper.truncate();

        issueService = null;
        dbHelper = null;
    }

    @Test
    public void testCreate() {
        issueService.create(issue);
        Issue persistentIssue = issueService.get(issue.getId());
        assertEquals(issue, persistentIssue);
    }
}
