package nu.helmers.jbpmtest.service.test.db;

import org.springframework.jdbc.core.JdbcTemplate;

import com.google.inject.Inject;

/**
 * Utility class that can be used by integration tests to perform basic operations on the database via plain JDBC.
 * <p/>
 * Note: This class is a copy of the class in jbpmtest-dao/test.
 * <p/>
 * Every public method that (directly or indirectly) calls a dao, must be annotated with @Transactional.
 */
public class DatabaseHelper {

    private JdbcTemplate jdbcTemplate;

    @Inject
    public DatabaseHelper(JdbcTemplate jdbcTemplate) {
        this.jdbcTemplate = jdbcTemplate;
    }

    public void truncate() {
        // My own (jbpmtest project) tables
        jdbcTemplate.update("delete from ISSUE");
        // jBPM tables
        //        jdbcTemplate.update("delete from JBPM4_DEPLOYMENT");
        //        jdbcTemplate.update("delete from JBPM4_DEPLOYPROP");
        //        jdbcTemplate.update("delete from JBPM4_EXECUTION");
        //        jdbcTemplate.update("delete from JBPM4_HIST_DETAIL");
        //        jdbcTemplate.update("delete from JBPM4_HIST_PROCINST");
        //        jdbcTemplate.update("delete from JBPM4_HIST_TASK");
        //        jdbcTemplate.update("delete from JBPM4_HIST_VAR");
        //        jdbcTemplate.update("delete from JBPM4_ID_GROUP");
        //        jdbcTemplate.update("delete from JBPM4_ID_MEMBERSHIP");
        //        jdbcTemplate.update("delete from JBPM4_ID_USER");
        //        jdbcTemplate.update("delete from JBPM4_JOB");
        //        jdbcTemplate.update("delete from JBPM4_LOB");
        //        jdbcTemplate.update("delete from JBPM4_PARTICIPATION");
        //        jdbcTemplate.update("delete from JBPM4_PROPERTY");
        //        jdbcTemplate.update("delete from JBPM4_SWIMLANE");
        //        jdbcTemplate.update("delete from JBPM4_TASK");
        //        jdbcTemplate.update("delete from JBPM4_VARIABLE");
    }
}
