package nu.helmers.jbpmtest.wiring.modules;

import javax.sql.DataSource;

import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.datasource.lookup.JndiDataSourceLookup;

import com.google.inject.Provider;

/**
 * Provides a {@link JdbcTemplate} using the data source created by {@link JndiDataSourceCreator}.
 */
final class JdbcTemplateProvider implements Provider<JdbcTemplate> {
    public JdbcTemplate get() {
        DataSource dataSource = new JndiDataSourceLookup().getDataSource(JndiDataSourceCreator.JNDI_NAME);
        return new JdbcTemplate(dataSource);
    }
}
